## org.red5.server.tomcat
Interface TomcatVHostLoaderMBean

All Known Implementing Classes:
  TomcatVHostLoader

    public interface TomcatVHostLoaderMBean

Simple mbean interface for Tomcat container virtual host loaders.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Method Summary
`void` `addAlias(String alias)`
`Context` `addContext(String path, String docBase)`
`void` `addValve(Valve valve)`
`boolean` `getAutoDeploy()`
`String` `getDomain()`
`Host` `getHost()`
`boolean` `getLiveDeploy()`
`String` `getName()`
`boolean` `getStartChildren()`
`boolean` `getUnpackWARs()`
`String` `getWebappRoot()`
`void` `init()`
`void` `registerJMX()`
`void` `removeAlias(String alias)`
`void` `removeContext(String path)`
`void` `removeValve(String valveInfo)`
`void` `setAutoDeploy(boolean autoDeploy)`
`void` `setDomain(String domain)`
`void` `setLiveDeploy(boolean liveDeploy)`
`void` `setName(String name)`
`void` `setStartChildren(boolean startChildren)`
`void` `setUnpackWARs(boolean unpackWARs)`
`void` `setWebappRoot(String webappRoot)`
`void` `shutdown()`
`boolean` `startWebApplication(String applicationName)`
`void` `uninit()`
`void` `unregisterJMX()`

Method Detail

### init

    void init()

### uninit

    void uninit()

### startWebApplication

    boolean startWebApplication(String applicationName)

### getAutoDeploy

    boolean getAutoDeploy()

### setAutoDeploy

    void setAutoDeploy(boolean autoDeploy)

### getHost

    Host getHost()

### getDomain

    String getDomain()

### setDomain

    void setDomain(String domain)

### addAlias

    void addAlias(String alias)

### removeAlias

    void removeAlias(String alias)

### addContext

    Context addContext(String path,
                       String docBase)

### removeContext

    void removeContext(String path)

### addValve

    void addValve(Valve valve)

### removeValve

    void removeValve(String valveInfo)

### getLiveDeploy

    boolean getLiveDeploy()

### setLiveDeploy

    void setLiveDeploy(boolean liveDeploy)

### getName

    String getName()

### setName

    void setName(String name)

### getStartChildren

    boolean getStartChildren()

### setStartChildren

    void setStartChildren(boolean startChildren)

### getUnpackWARs

    boolean getUnpackWARs()

### setUnpackWARs

    void setUnpackWARs(boolean unpackWARs)

### getWebappRoot

    String getWebappRoot()

### setWebappRoot

    void setWebappRoot(String webappRoot)

### shutdown

    void shutdown()

### registerJMX

    void registerJMX()

### unregisterJMX

    void unregisterJMX()

Copyright © 2006-2010 The Red5 Project